 import { MyTimeline } from "../components/My-Timeline";
import { Box, Tab } from "@mui/material";
import {TabContext, TabList, TabPanel} from '@mui/lab';
import React from "react";
import BFHGallery from "../components/photo-grid";
import BFHpdf from "../components/pdfs";
import { H2 } from "../components/headings";

export function Bfh() {
  
  return (
    <>
      <div className="row">
        <div className="col">
          <LabTabs></LabTabs>
        </div>
      </div>
      <div className="row">
        <div className="d-flex flex-column justify-content-center align-items-center">
        </div>
      </div>
    </>
  );
}

export function LabTabs() {
  const [value, setValue] = React.useState('1');

  const handleChange = (_event: React.SyntheticEvent, newValue: string) => {
    setValue(newValue);
  };

  return (
    <Box sx={{ width: '100%', typography: 'body1' }}>
      <TabContext value={value}>
        <Box sx={{ borderBottom: 1, borderColor: 'divider' }}>
          <TabList onChange={handleChange} aria-label="lab API tabs example">
            <Tab label="About" value="2" />
            <Tab label="Timeline" value="1" />
            <Tab label="Gallery" value="3" />
            <Tab label="Downloads" value="4" />
          </TabList>
        </Box>
        <TabPanel value="2"> <About/>  </TabPanel>
        <TabPanel value="1"> <MyTimeline></MyTimeline> </TabPanel>
        <TabPanel value="3"> <BFHGallery/> </TabPanel>
        <TabPanel value="4"> <BFHpdf></BFHpdf>  </TabPanel>
      </TabContext>
    </Box>
  );
}

export function About(){
  return(
    <div>
      <H2 text="The background"/>
      <p>Over the past years, we have all made many friends and expanded our scientific network during the iGEM competition and afterwards. The idea behind the cooperation between Bielefeld, Frankfurt and Hamburg is based on the friendship that former participants have gained alongside the iGEM competition. Our mission is to promote future projects and bring teams together. The location of the BFH European Meet-Up 2024 will alternate between the universities of Bielefeld, Frankfurt, and Hamburg. We wish you lots of fun and hope that the iGEM competition fulfills you as much as it has fulfilled us.</p>
    </div>
  )
}
